## NAS Set Technology Preference request NAS Set Technology Preference request |

## Functions

QmiMessageNasSetTechnologyPreferenceInput * | qmi_message_nas_set_technology_preference_input_new ()
QmiMessageNasSetTechnologyPreferenceInput * | qmi_message_nas_set_technology_preference_input_ref ()
void | qmi_message_nas_set_technology_preference_input_unref ()
gboolean | qmi_message_nas_set_technology_preference_input_get_current ()
gboolean | qmi_message_nas_set_technology_preference_input_set_current ()
QmiMessageNasSetTechnologyPreferenceOutput * | qmi_message_nas_set_technology_preference_output_ref ()
void | qmi_message_nas_set_technology_preference_output_unref ()
gboolean | qmi_message_nas_set_technology_preference_output_get_result ()
void | qmi_client_nas_set_technology_preference ()
QmiMessageNasSetTechnologyPreferenceOutput * | qmi_client_nas_set_technology_preference_finish ()

## Types and Values

| QmiMessageNasSetTechnologyPreferenceInput
| QmiMessageNasSetTechnologyPreferenceOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasSetTechnologyPreferenceInput
        ╰── QmiMessageNasSetTechnologyPreferenceOutput

## Description

## Functions

### qmi_message_nas_set_technology_preference_input_new ()

    QmiMessageNasSetTechnologyPreferenceInput *
    qmi_message_nas_set_technology_preference_input_new
                                   (void);

Allocates a new QmiMessageNasSetTechnologyPreferenceInput.

#### Returns

the newly created QmiMessageNasSetTechnologyPreferenceInput. The returned value should be freed with `qmi_message_nas_set_technology_preference_input_unref()`.

Since: 1.0

### qmi_message_nas_set_technology_preference_input_ref ()

    QmiMessageNasSetTechnologyPreferenceInput *
    qmi_message_nas_set_technology_preference_input_ref
                                   (QmiMessageNasSetTechnologyPreferenceInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_technology_preference_input_unref ()

    void
    qmi_message_nas_set_technology_preference_input_unref
                                   (QmiMessageNasSetTechnologyPreferenceInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceInput. |

Since: 1.0

### qmi_message_nas_set_technology_preference_input_get_current ()

    gboolean
    qmi_message_nas_set_technology_preference_input_get_current
                                   (QmiMessageNasSetTechnologyPreferenceInput *self,
                                    QmiNasRadioTechnologyPreference *value_current_technology_preference,
                                    QmiNasPreferenceDuration *value_current_technology_preference_duration,
                                    GError **error);

Get the 'Current' field from `self` .

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceInput. |
value_current_technology_preference | a placeholder for the output QmiNasRadioTechnologyPreference, or `NULL` if not required. | [out]
value_current_technology_preference_duration | a placeholder for the output QmiNasPreferenceDuration, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_technology_preference_input_set_current ()

    gboolean
    qmi_message_nas_set_technology_preference_input_set_current
                                   (QmiMessageNasSetTechnologyPreferenceInput *self,
                                    QmiNasRadioTechnologyPreference value_current_technology_preference,
                                    QmiNasPreferenceDuration value_current_technology_preference_duration,
                                    GError **error);

Set the 'Current' field in the message.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceInput. |
value_current_technology_preference | a QmiNasRadioTechnologyPreference. |
value_current_technology_preference_duration | a QmiNasPreferenceDuration. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_technology_preference_output_ref ()

    QmiMessageNasSetTechnologyPreferenceOutput *
    qmi_message_nas_set_technology_preference_output_ref
                                   (QmiMessageNasSetTechnologyPreferenceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_technology_preference_output_unref ()

    void
    qmi_message_nas_set_technology_preference_output_unref
                                   (QmiMessageNasSetTechnologyPreferenceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceOutput. |

Since: 1.0

### qmi_message_nas_set_technology_preference_output_get_result ()

    gboolean
    qmi_message_nas_set_technology_preference_output_get_result
                                   (QmiMessageNasSetTechnologyPreferenceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasSetTechnologyPreferenceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_nas_set_technology_preference ()

    void
    qmi_client_nas_set_technology_preference
                                   (QmiClientNas *self,
                                    QmiMessageNasSetTechnologyPreferenceInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Technology Preference request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_set_technology_preference_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasSetTechnologyPreferenceInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_set_technology_preference_finish ()

    QmiMessageNasSetTechnologyPreferenceOutput *
    qmi_client_nas_set_technology_preference_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_set_technology_preference()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_set_technology_preference()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasSetTechnologyPreferenceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_set_technology_preference_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasSetTechnologyPreferenceInput

    typedef struct _QmiMessageNasSetTechnologyPreferenceInput QmiMessageNasSetTechnologyPreferenceInput;

The QmiMessageNasSetTechnologyPreferenceInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasSetTechnologyPreferenceOutput

    typedef struct _QmiMessageNasSetTechnologyPreferenceOutput QmiMessageNasSetTechnologyPreferenceOutput;

The QmiMessageNasSetTechnologyPreferenceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0